Bug 147728 - neon headers define "min"
neon headers define "min"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: neon (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 15:11 EST by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.24.7-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 04:08:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to move min macro outside public headers (890 bytes, patch)
2005-02-10 15:12 EST, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2005-02-10 15:11:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041220

Description of problem:
The neon headers define "min", so doing stuff with them through c++ and the STL causes chaos as they use std::min which gets mangled by the preprocessor (i.e. in openoffice.org > 1.9.77)

Patch to-be attached to fix the problem

Version-Release number of selected component (if applicable):
neon-0.24.7-4

How reproducible:
Always

Steps to Reproduce:
1. compile something with neon headers that wants to use std::min
  

Actual Results:  mangled std::min

Expected Results:  unmacroed std::min

Additional info:
Comment 1 Caolan McNamara 2005-02-10 15:12:30 EST
Created attachment 110935 [details]
patch to move min macro outside public headers
Comment 2 Joe Orton 2005-02-10 16:26:54 EST
Thanks (that exactly matches what went in for 0.25 already ;).

Trying to rebuild is triggering an openssl abort in the test suite, may take a
short while to resolve...

Note You need to log in before you can comment on or make changes to this bug.